package com.ym.zxhcsdk.manager;

import android.app.Activity;
import android.util.Log;

import com.ym.zxhcsdk.AppliContext;
import com.ym.zxhcsdk.ZXHCConstant;

public class ZXHCADManager {
    private static volatile ZXHCADManager sInstance;
    private ZXHCADManager() {

    }

    public static ZXHCADManager getInstance() {
        if (sInstance == null) {
            synchronized (ZXHCADManager.class) {
                if (sInstance == null) {
                    sInstance = new ZXHCADManager();
                }
            }
        }
        return sInstance;
    }
    public boolean InitAd(Activity context, String appId,boolean isDebug){
        ZXHCConstant.ZXHC_APPID = appId;
        AppliContext.init(context);
        ZXHCConstant.IS_DEBUG = isDebug;
        if (ZXHCConstant.IS_DEBUG){
            ZXHCConstant.BASE_URL = "http://sspv2test.zhangxinhuichuan.com/ssp/v1/ads";
        }else {
            ZXHCConstant.BASE_URL = "http://sspv2.zhangxinhuichuan.com/ssp/v1/ads";
        }

        return true;
    }

}
